from django.contrib import admin
from .models import *
from django.apps import apps

@admin.register(Bibliography)
class BibliographyAdmin(admin.ModelAdmin):
    list_display = ('authors_list', 'title', 'journal_name', 'biblio_year', 'id_source')

@admin.register(Protein)
class ProteinAdmin(admin.ModelAdmin):
    list_display = ('uniprot_id', 'recommended_name_long')

@admin.register(Taxonomy)
class TaxonomyAdmin(admin.ModelAdmin):
    list_display = ('taxonomy_id', 'name')

@admin.register(Domain)
class DomainAdmin(admin.ModelAdmin):
    list_display = ('pfam_acc', 'pfam_id', 'pfam_description', 'domain_family')

for model in apps.get_app_config('ippidb').models.values():
    try:
        admin.site.register(model)
    except admin.sites.AlreadyRegistered as are:
        continue

admin.site.site_header = 'iPPI-DB administration'

admin.site.site_title = admin.site.site_header


